﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HLWebOKBQueryPlugin.Helpers {
    interface IResult {
        string ExecutionTime { get; set; }
        int EvaluatedSolutions { get; set; }
        int Generations { get; set; }
        string BestTSPSolution { get; set; }
        double CurrentBestQuality { get; set; }
        double CurrentAverageQuality { get; set; }
        double CurrentWorstQuality { get; set; }
        double BestQuality { get; set; }
        double BestKnownQuality { get; set; }
        double AbsoluteDifferenceBestKnownToBest { get; set; }
        double RelativeDifferenceBestKnownToBest { get; set; }
        string Qualities { get; set; }
    }
}
